Index: trunk/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 759)
+++ trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 773)
@@ -228,5 +228,5 @@
     m_uiMaxViewIndex                     = std::max( m_uiMaxViewIndex, uiViewIndex );
     m_aiViewId[ uiViewIndex ]            = pcSlice->getViewId();
-#if CAM_HLS_F0136_F0045_F0082
+
     if( uiViewIndex == 1 )
     {
@@ -239,16 +239,5 @@
       AOF( m_bCamParsVaryOverTime    == pcSlice->getVPS()->hasCamParInSliceHeader ( uiViewIndex ) );
     }
-#else
-    if( uiViewIndex == 1 )
-    {
-      m_uiCamParsCodedPrecision       = pcSlice->getSPS()->getCamParPrecision     ();
-      m_bCamParsVaryOverTime          = pcSlice->getSPS()->hasCamParInSliceHeader ();
-    }
-    else if( uiViewIndex > 1 )
-    {
-      AOF( m_uiCamParsCodedPrecision == pcSlice->getSPS()->getCamParPrecision     () );
-      AOF( m_bCamParsVaryOverTime    == pcSlice->getSPS()->hasCamParInSliceHeader () );
-    }
-#endif
+
     for( UInt uiBaseIndex = 0; uiBaseIndex < uiViewIndex; uiBaseIndex++ )
     {
@@ -264,15 +253,8 @@
       else
       {
-#if CAM_HLS_F0136_F0045_F0082
         m_aaiCodedScale [ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getVPS()->getCodedScale    (uiViewIndex) [ uiBaseIndex ];
         m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getVPS()->getCodedOffset   (uiViewIndex) [ uiBaseIndex ];
         m_aaiCodedScale [ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getVPS()->getInvCodedScale (uiViewIndex) [ uiBaseIndex ];
         m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getVPS()->getInvCodedOffset(uiViewIndex) [ uiBaseIndex ];
-#else
-        m_aaiCodedScale [ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getSPS()->getCodedScale    () [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getSPS()->getCodedOffset   () [ uiBaseIndex ];
-        m_aaiCodedScale [ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getSPS()->getInvCodedScale () [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getSPS()->getInvCodedOffset() [ uiBaseIndex ];
-#endif
         xInitLUTs( uiBaseIndex, uiViewIndex, m_aaiCodedScale[ uiBaseIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
         xInitLUTs( uiViewIndex, uiBaseIndex, m_aaiCodedScale[ uiViewIndex ][ uiBaseIndex ], m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
@@ -302,13 +284,8 @@
 }
 
-#if QC_DEPTH_IV_MRG_F0125
+#if H_3D_IV_MERGE
 Void
 CamParsCollector::copyCamParamForSlice( TComSlice* pcSlice )
 {
-#if !CAM_HLS_F0136_F0045_F0082
-  UInt uiViewIndex = pcSlice->getViewIndex();
-
-  pcSlice->getSPS()->initCamParaSPS( uiViewIndex, m_uiCamParsCodedPrecision, m_bCamParsVaryOverTime, m_aaiCodedScale, m_aaiCodedOffset );
-#endif
   if( m_bCamParsVaryOverTime )
   {
@@ -656,10 +633,8 @@
 #if H_MV
   m_apcSlicePilot->setVPS(vps);  
-#if H_MV_6_PS_0092_17
   // The nuh_layer_id value of the NAL unit containing the PPS that is activated for a layer layerA with nuh_layer_id equal to nuhLayerIdA shall be equal to 0, or nuhLayerIdA, or the nuh_layer_id of a direct or indirect reference layer of layerA.
   assert( pps->getLayerId() == m_layerId || pps->getLayerId( ) == 0 || vps->getInDirectDependencyFlag( m_layerId, pps->getLayerId() ) );   
   // The nuh_layer_id value of the NAL unit containing the SPS that is activated for a layer layerA with nuh_layer_id equal to nuhLayerIdA shall be equal to 0, or nuhLayerIdA, or the nuh_layer_id of a direct or indirect reference layer of layerA.
   assert( sps->getLayerId() == m_layerId || sps->getLayerId( ) == 0 || vps->getInDirectDependencyFlag( m_layerId, sps->getLayerId() ) );
-#endif
   sps->inferRepFormat  ( vps , m_layerId ); 
   sps->inferScalingList( m_parameterSetManagerDecoder.getActiveSPS( sps->getSpsScalingListRefLayerId() ) ); 
@@ -692,9 +667,5 @@
 
 #if H_MV
-#if H_MV_FIX_SKIP_PICTURES
 Bool TDecTop::xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay, Bool newLayerFlag, Bool& sliceSkippedFlag  )
-#else
-Bool TDecTop::xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay, Bool newLayerFlag )
-#endif
 {
   assert( nalu.m_layerId == m_layerId ); 
@@ -754,5 +725,5 @@
 #endif
 
-#if H_MV_LAYER_WISE_STARTUP
+#if H_MV
     xCeckNoClrasOutput();
 #endif
@@ -762,6 +733,6 @@
     m_prevSliceSkipped = true;
     m_skippedPOC = m_apcSlicePilot->getPOC();
-#if H_MV_FIX_SKIP_PICTURES
-      sliceSkippedFlag = true; 
+#if H_MV
+    sliceSkippedFlag = true; 
 #endif
       return false;
@@ -772,6 +743,6 @@
     m_prevSliceSkipped = true;
     m_skippedPOC = m_apcSlicePilot->getPOC();
-#if H_MV_FIX_SKIP_PICTURES
-      sliceSkippedFlag = true; 
+#if H_MV
+    sliceSkippedFlag = true; 
 #endif
       return false;
@@ -1007,9 +978,5 @@
     pcSlice->setRefPicList     ( tempRefPicLists, usedAsLongTerm, numPocTotalCurr, true ); 
 #if H_3D_ARP
-#if SHARP_ARP_REF_CHECK_F0105
     pcSlice->setARPStepNum(m_ivPicLists);
-#else
-    pcSlice->setARPStepNum();
-#endif
     if( pcSlice->getARPStepNum() > 1 )
     {
@@ -1113,5 +1080,5 @@
   }
 
-#if QC_DEPTH_IV_MRG_F0125
+#if H_3D_IV_MERGE
   if( pcSlice->getIsDepth() && m_pcCamParsCollector )
   {
@@ -1127,12 +1094,4 @@
     m_pcCamParsCollector->setSlice( pcSlice );
   }
-#if QC_DEPTH_IV_MRG_F0125
-  if( pcSlice->getIsDepth() )
-  {
-#if !CAM_HLS_F0136_F0045_F0082
-    pcSlice->getSPS()->setHasCamParInSliceHeader( false );
-#endif
-  }
-#endif
 #endif
   m_bFirstSliceInPicture = false;
@@ -1174,5 +1133,5 @@
   pps->setLayerId( getLayerId() ); 
 #endif
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   // Assuming that all PPS indirectly refer to the same VPS via different SPS
   // There is no parsing dependency in decoding DLT in PPS. 
@@ -1181,5 +1140,5 @@
   //   Step 1) decoding DLT tables based on the number of depth layers, and
   //   Step 2) mapping DLT tables to the depth layers
-  // as descripted in the 3D-HEVC WD. 
+  // as described in the 3D-HEVC WD. 
   TComVPS* vps = m_parameterSetManagerDecoder.getPrefetchedVPS( 0 );
   m_cEntropyDecoder.decodePPS( pps, vps );
@@ -1226,9 +1185,5 @@
 
 #if H_MV
-#if H_MV_FIX_SKIP_PICTURES
 Bool TDecTop::decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayerFlag, Bool& sliceSkippedFlag )
-#else
-Bool TDecTop::decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayerFlag)
-#endif
 #else
 Bool TDecTop::decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay)
@@ -1275,9 +1230,5 @@
     case NAL_UNIT_CODED_SLICE_RASL_R:
 #if H_MV
-#if H_MV_FIX_SKIP_PICTURES
       return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay, newLayerFlag, sliceSkippedFlag );
-#else
-      return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay, newLayerFlag);
-#endif
 #else
       return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay);
@@ -1328,5 +1279,5 @@
     return true;
   }
-#if H_MV_LAYER_WISE_STARTUP
+#if H_MV
   else if ( !m_layerInitilizedFlag[ m_layerId ] ) // start of random access point, m_pocRandomAccess has not been set yet.
 #else
@@ -1340,5 +1291,5 @@
     {
 
-#if H_MV_LAYER_WISE_STARTUP
+#if H_MV
       if ( xAllRefLayersInitilized() )
       {
@@ -1357,21 +1308,21 @@
     else if ( m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_W_RADL || m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_N_LP )
     {
-#if H_MV_LAYER_WISE_STARTUP
+#if H_MV
       if ( xAllRefLayersInitilized() )
       {
         m_layerInitilizedFlag[ m_layerId ] = true; 
+        m_pocRandomAccess = -MAX_INT; // no need to skip the reordered pictures in IDR, they are decodable.
+      }
+      else 
+      {
+        return true; 
+      }
+#else
       m_pocRandomAccess = -MAX_INT; // no need to skip the reordered pictures in IDR, they are decodable.
+#endif
     }
     else 
     {
-        return true; 
-      }
-#else
-      m_pocRandomAccess = -MAX_INT; // no need to skip the reordered pictures in IDR, they are decodable.
-#endif
-    }
-    else 
-    {
-#if H_MV_FIX_SKIP_PICTURES
+#if H_MV
       static Bool warningMessage[MAX_NUM_LAYERS];
       static Bool warningInitFlag = false;
@@ -1408,5 +1359,5 @@
     return true;
   }
-#if H_MV_LAYER_WISE_STARTUP
+#if H_MV
   return !m_layerInitilizedFlag[ getLayerId() ]; 
 #else
@@ -1455,5 +1406,5 @@
 }
 
-#if H_MV_LAYER_WISE_STARTUP
+#if H_MV
 Void TDecTop::xCeckNoClrasOutput()
 {
Index: trunk/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- trunk/source/Lib/TLibDecoder/TDecTop.h	(revision 759)
+++ trunk/source/Lib/TLibDecoder/TDecTop.h	(revision 773)
@@ -78,5 +78,5 @@
   Int**** getBaseViewShiftLUTI()  { return m_aiBaseViewShiftLUT;   }
 
-#if QC_DEPTH_IV_MRG_F0125
+#if H_3D_IV_MERGE
   Void  copyCamParamForSlice( TComSlice* pcSlice );
 #endif
@@ -186,7 +186,5 @@
   TComList<TComPic*>      m_cListPic;         //  Dynamic buffer
 #if H_MV
-#if H_MV_LAYER_WISE_STARTUP
   Bool*                    m_layerInitilizedFlag; // initialization Layers
-#endif
   static ParameterSetManagerDecoder m_parameterSetManagerDecoder;  // storage for parameter sets 
 #else
@@ -246,9 +244,5 @@
   Void  init();
 #if H_MV  
-#if H_MV_FIX_SKIP_PICTURES
   Bool  decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayer, Bool& sliceSkippedFlag );
-#else
-  Bool  decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayer );
-#endif
   Bool  decode(InputNALUnit& nalu, Int& iSkipFrame, Int& iPOCLastDisplay, Bool newLayer );
 #else  
@@ -268,10 +262,6 @@
   TComList<TComPic*>*     getListPic            ()               { return &m_cListPic;  }  
   Void                    setIvPicLists         ( TComPicLists* picLists) { m_ivPicLists = picLists; }
-#if H_MV_LAYER_WISE_STARTUP
   Void                    setLayerInitilizedFlags( Bool* val )    { m_layerInitilizedFlag = val; }
-#endif
-#if H_MV_6_HRD_O0217_13
   TComVPS*                getPrefetchedVPS      ()               { return m_parameterSetManagerDecoder.getPrefetchedVPS( 0 ); }; //Assuming that currently only one VPS is present. 
-#endif
   Int                     getCurrPoc            ()               { return m_apcSlicePilot->getPOC(); }
   Void                    setLayerId            ( Int layer)     { m_layerId = layer;   }
@@ -294,15 +284,9 @@
 #if H_MV  
   TComPic*  xGetPic( Int layerId, Int poc ); 
-#if H_MV_FIX_SKIP_PICTURES
   Bool      xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay, Bool newLayerFlag, Bool& sliceSkippedFlag );  
-#else
-  Bool      xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay, Bool newLayerFlag );  
-#endif
   Void      xResetPocInPicBuffer();
-#if H_MV_LAYER_WISE_STARTUP
   Void      xCeckNoClrasOutput();
 
   Bool      xAllRefLayersInitilized();
-#endif
 #else
   Bool      xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay);
